
UPDATE ( SELECT src.object_name AS src_name
         ,      src.object_type AS src_type
         ,      tgt.object_name AS tgt_name
         ,      tgt.object_type AS tgt_type
         FROM   source_table src
         ,      target_table tgt
         WHERE  src.object_id = tgt.object_id )
SET tgt_name = src_name
,   tgt_type = src_type;

INSERT INTO target_table tgt
SELECT *
FROM   source_table src
WHERE  NOT EXISTS ( SELECT NULL
                    FROM   target_table tgt
                    WHERE  src.object_id = tgt.object_id );

