
set echo on

--ALTER TABLE source_table DROP PRIMARY KEY;
--ALTER TABLE target_table DROP PRIMARY KEY;
--ALTER TABLE source_table ADD PRIMARY KEY (object_id, object_name);
--ALTER TABLE target_table ADD PRIMARY KEY (object_id, object_name);

MERGE
   INTO  target_table tgt
   USING source_table src
   ON  ( src.object_name = tgt.object_name )
WHEN MATCHED 
THEN
   UPDATE
   SET    tgt.object_type = src.object_type
WHEN NOT MATCHED 
THEN
   INSERT ( tgt.object_id
          , tgt.object_name
          , tgt.object_type )
   VALUES ( src.object_id
          , src.object_name
          , src.object_type );

ROLLBACK;

